phpBB3 Release Candidate 6 (RC6) disponible

Annonces et informations relatives à la communauté phpBB et à phpBB-fr.com

Modérateur: Chefs d'équipes

Partager sur FacebookPartager sur TwitterPartager sur Google+

phpBB3 Release Candidate 6 (RC6) disponible

Messagepar Jester » 14 Oct 2007 à 13:33

Acyd burn a écrit:Bonjour,

nous sommes heureux de vous annoncer la sortie de la version RC6 de phpBB3. C'est la 6ème (et espérons la dernière) version candidate qui sera la version Gold si aucun bug ne se dévoile.

Cette version est sortie grâce à un audit externe réalisé par SektionEins. Tous les bugs marqués [Sec] ont été trouvés par l'entreprise pendant l'audit et ont révélé quelques bugs que nous avons corrigé. Nous sommes fiers que cet audit n'est pas révélé de vulnérabilités Sql ou de soucis au niveau des commandes d'instruction.

Le support est donné sur les versions candidates, aussi bien sur les packs de langues, que sur les modifications et sur les styles.
Nous ne fournirons de support qu'aux personnes ayant une nouvelle installation ou une mise à jour depuis une version release candidate, les précédentes conversions ou mises à jour depuis une version Bêta ne seront pas supportées.
Nous encourageons les personnes utilisant nos releases candidate à la tester dans sa nouvelle version. Il est toujours recommander d'attendre la version finale avant d'utiliser phpBB3 en production, aprés tout il s'agit toujours que d'une version release candidate.
Veuillez noter également que nous vous recommandons de mettre à jour rapidement votre version - Nous ne fournirons de support pour cette dernière version. Les rapports de bugs envoyés pour la version précédente seront fermés pour laisser place à ceux de la version actuelle.

La version RC6 a vu quelques petites évolutions et devrait être largement plus stable. Voici une liste non exhaustive des changements effectués :

  • [Fix] Further fixing user profile view (please do not forget to update/refresh your template and style) (Bug #14230)
  • [Fix] Adjust google adsense bot information (Bug #14296)
  • [Fix] Fix horizontal scrollbar problem in IE6 (Bug #14228) - fix provided by Danny-dev
  • [Fix] Correctly set user style for guest user (able to be changed within user management)
  • [Change] Moved note about dns_get_record function for using GTalk (Jabber) from Jabber log to Jabber ACP panel
  • [Fix] Do not use register_shutdown_function within cron.php if handling the queue and the mail function being used (Bug #14321)
  • [Fix] Fixing private message on-hold code if moving messages into folder based on rules (Bug #14309)
  • [Fix] Allow the merge selection screen to work (Bug #14363)
  • [Change] Require additional permissions for copying permission when editing forums
  • [Fix] Local magic URLs no longer get an additional trailing slash (Bug #14362)
  • [Fix] Do not let the cron script stale for one hour if register_shutdown_function is not able to be called (Bug #14436)
  • [Feature] Added /includes/db/db_tools.php file, which includes tools for handling cross-db actions such as altering columns, etc.
  • [Fix] Fixed token handling in jabber class for extremely spec-compilant XMPP server (Bug #14445)
  • [Change] Listing the board url within the email text instead of appending it to the subject (Bug #14378)
  • [Fix] Always display the quote button as the most accessible one - edit is always before quote (Bug #14403)
  • [Fix] Use correct dimension (width x height) in ACP (Bug #14452)
  • [Feature] Added completely new hook system to allow better application/mod integration - see docs/hook_system.html
  • [Fix] Fixing google cache display problems with Firefox (Bug #14472) - patch provided by Raimon
  • [Change] Allow years in future be selected for date custom profile field (Bug #14519)
  • [Feature] Added an option to enforce that users spend a configurable amount of time on the terms page during registration
  • [Sec] Fixing possible XSS through compromised WHOIS server (#i63, #i64)
  • [Sec] Missing access control on whois in viewonline.php (#i51)
  • [Sec] Encoding some variables within user::page array correctly (to cope with browser not doing it correctly) to prevent XSS through functions re-using them (#i61)
  • [Sec] Fixed XSS through memberlist search feature (#i62)
  • [Sec] Fixed XSS through colour swatch (#i65)
  • [Sec] Fixed insecure attachment deletion (#i53)
  • [Sec] Only allow whitelisted protocols in meta_redirect/redirect (#i66)
  • [Sec] Check file names to be written in language management panel (#i52)
  • [Sec] Deregister globals if ini_get has been disabled (#i112)
  • [Sec] Added form tokens to most forms to enforce a lighter variant of CSRF protection (#i91 - #i96)
  • [Sec] Use new password hash method for forum passwords (#i43)
  • [Sec] Changed download file location to prevent flash crossdomain policies taking effect (#i8)
  • [Sec] Do not allow autocompletion for password on admin re-authentication (#i41)
  • [Sec] Made sure users are not completely locked out if they have a GLOBALS cookie (#i101)
  • [Sec] Use the secure hash to generate BBCODE_UIDs (#i71)
  • [Sec] Increase the length of BBCODE_UIDs (#i72)
  • [Sec] New password hashing mechanism for storing passwords (#i42)

Veuillez vous référer à la liste complète des changements depuis RC5 :

http://www.phpbb.com/support/documents. ... &version=3

Une courte explication sur la conversion, l'installation et la mise à jour est fournie dans le fichier INSTALL.html, veuillez le lire attentivement. Si vous ne voulez pas faire d'erreur, nous vous suggérons d'attendre une prochaine version avant de procéder à la conversion complète de votre installations 2.0.x.

Important
En raison du changement du mécanisme de stockage des mots de passe, vous ne pourrez pas ouvrir une session sur votre forum, si vous essayez d'employer la base de données mise à jour avec des dossiers avant RC6.

Configuration minimale
phpBB3 a besoin des éléments suivants pour fonctionner :
  • Un serveur Web ou un compte mutualisé chez un hébergeur, acceptant le PHP.
  • Un système de base de données SQL, un des suivants :
    • MySQL 3.23 ou plus récent (MySQLi supporté)
    • PostgreSQL 7.3+
    • SQLite 2.8.2+
    • Firebird 2.0+
    • MS SQL Server 2000 ou plus récent (directement ou par ODBC)
    • Oracle
  • PHP 4.3.3+ (>=4.3.3, >4.4.x, >5.x.x, >6.0-dev (compatible)) supportant votre système de base de données
  • La fonction getimagesize() doit être activée
  • La présence des modules suivants vous permettront d'accéder à des fonctions additionnelles, mais ils ne sont pas obligatoires.
    • Support de la compression zlib
    • Support du FTP à distance
    • Support du XML
    • Support d'Imagemagick
    • Support GD
La présence de chacun de ces modules facultatifs sera vérifiée pendant le procédé d'installation.

Sécurité
Les failles de sécurité trouvées doivent être rapportées sur notre outil de rapports de failles de sécurité, comme vous en avez l'habitude.

Packs disponibles
Si vous rencontrez des problèmes avec l'outil de mise à jour automatique (Fenêtres blanches, timeouts, etc.) nous vous recommandons d'utiliser le pack "changed files only" ou "patch" pour mettre à jour.
Avec cette version, il y a 4 packs disponibles :

  • Pack complet
    Contient les sources entières de phpBB3 et les fichiers de langue en Anglais.
  • Fichiers modifiés seulement
    Contient seulement les fichiers qui ont été modifiés depuis les versions précédentes de phpBB3. Ce package contient les fichiers modifiés pour la mise à jour de chaque version.
  • Mise à jour manuelle
    Contient les modifications de chaques fichiers depuis les versions précédentes de phpBB3.
  • Mise à jour automatique
    Pack pour la mise à jour automatique, contenant les changements par rapport à la version précédente.
Sélectionnez le package qui semble le plus adapté à votre installation.

Assurez-vous de lire le fichier INSTALL et README dans docs/ avant d'effectuer une installation, mise à jour ou conversion!
L'archive de mise à jour automatique ne contient pas le fichier includes/utf/data/recode_cjk.php. Si vous utilisez un encodage SJIS ou une variante, vous devez remplacer ce fichier manuellement par la version fournie dans le pack complet.

Téléchargement/Documentation
Passez d'agréables moments avec cette version,
Les équipes de phpBB.


Le pack officiel est disponible dans la section téléchargement de phpBB.com :
http://www.phpbb.com/downloads/development.php

Bien cordialement,
L'équipe de phpBB-fr.com
"Quand le Troll parle, l'homme avisé l'écoute."
Personnaliser son forum - La documentation de phpBB-fr.com - Les téléchargements
N'oubliez pas de modifier votre message en ajoutant le tag [Réglé] quand votre sujet est résolu.
Avatar de l’utilisateur
Jester
Administrateur
Administrateur
 
Messages: 34503
Enregistré le: 01 Jan 2005 à 01:00
Localisation: Là, pas loin...

Messagepar Jester » 14 Oct 2007 à 15:09

http://www.phpbb.com/community/viewtopi ... 2#p3221832

Acyd burn a écrit:Bonjour,

suite à quelques soucis avec les BBcodes, descriptions, descriptions de groupes, et également les conversions impossibles à faire en l'état actuel, nous allons probablement sortir une RC7 aujourd'hui pour corriger ces bugs. Nous essaierons de vous donner des MAJ en 2 packs, l'un pour la MAJ de la RC5 vers la RC7, l'autre de la RC6 vers la RC7.

Par chance, nous sommes encore sur la phase de test. Nous sommes désolés pour le dérangement.

Merci de votre compréhension
"Quand le Troll parle, l'homme avisé l'écoute."
Personnaliser son forum - La documentation de phpBB-fr.com - Les téléchargements
N'oubliez pas de modifier votre message en ajoutant le tag [Réglé] quand votre sujet est résolu.
Avatar de l’utilisateur
Jester
Administrateur
Administrateur
 
Messages: 34503
Enregistré le: 01 Jan 2005 à 01:00
Localisation: Là, pas loin...


Retourner vers Annonces et informations

 


  • Articles en relation
    Réponses
    Vues
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 2 invités

cron